Bug 268093 - java.util.ServiceConfigurationError: javax.tools.JavaCompiler: Provider com.sun.tools.javac.api.JavacTool not a subtype
java.util.ServiceConfigurationError: javax.tools.JavaCompiler: Provider com.s...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Formatting & Indentation
Dev
All All
: P2 (vote)
: Dev
Assigned To: Dusan Balek
issues@editor
EXCEPTIONS_REPORT
: JDK_9
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-19 09:19 UTC by Martin Balin
Modified: 2016-12-08 02:36 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.64 KB, text/plain)
2016-09-19 09:19 UTC, Martin Balin
Details
stacktrace (4.64 KB, text/plain)
2016-09-22 05:36 UTC, jdlee
Details
stacktrace (4.64 KB, text/plain)
2016-10-11 12:46 UTC, skygo
Details
stacktrace (4.89 KB, text/plain)
2016-12-06 12:39 UTC, Martin Balin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Balin 2016-09-19 09:19:10 UTC
Build: NetBeans IDE Dev JDK9 Branch (Build 20160919-6dcfe1c6fc27)
VM: Java HotSpot(TM) 64-Bit Server VM, 9-ea+136, Java(TM) SE Runtime Environment, 9-ea+136
OS: Linux

User Comments:
GUEST: Error when clicked on editor

GUEST: Editing module-info.java file

GUEST: Was editing Non project file

GUEST: Installed Netbeans build and ran it with Java 9 EA build 136. Created sample project AnagramGame. Opened Java file and tried to change it in the editor.

mbalin: Editing Java 9 sources in NB9 running on JDK9 b136.




Stacktrace: 
java.util.ServiceConfigurationError: javax.tools.JavaCompiler: Provider com.sun.tools.javac.api.JavacTool not a subtype
   at java.util.ServiceLoader.fail(ServiceLoader.java:386)
   at java.util.ServiceLoader.access$600(ServiceLoader.java:218)
   at java.util.ServiceLoader$ModuleServicesIterator.nextService(ServiceLoader.java:730)
   at java.util.ServiceLoader$RestrictedIterator$2.run(ServiceLoader.java:541)
   at java.security.AccessController.doPrivileged(AccessController.java:0)
   at java.util.ServiceLoader$RestrictedIterator.next(ServiceLoader.java:543)
Comment 1 Martin Balin 2016-09-19 09:19:12 UTC
Created attachment 162107 [details]
stacktrace
Comment 2 Martin Balin 2016-09-19 10:48:42 UTC
Does not happen when NB is running on top of JDK8.
Comment 3 jdlee 2016-09-22 05:36:57 UTC
Created attachment 162167 [details]
stacktrace

Typing code template (sout)
Comment 4 blurry 2016-10-07 15:00:21 UTC
That's not the point, jdk9 is needed for high ips support...
Comment 5 skygo 2016-10-11 12:46:25 UTC
Created attachment 162452 [details]
stacktrace

CTRL SPACE before package in a java class, on a simple maven archetype.
Comment 6 Exceptions Reporter 2016-10-11 12:46:29 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=225379
Comment 7 Martin Balin 2016-12-06 12:39:09 UTC
Created attachment 163165 [details]
stacktrace

Typing in editor when running on JDK9 EAb147
Comment 8 Exceptions Reporter 2016-12-06 12:39:16 UTC
This bug already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=225379
Comment 9 Dusan Balek 2016-12-06 14:13:26 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/fa69b494668b
Comment 10 Quality Engineering 2016-12-08 02:36:54 UTC
Integrated into 'main-silver', will be available in build *201612080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/fa69b494668b
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #268093 - java.util.ServiceConfigurationError: javax.tools.JavaCompiler: Provider com.sun.tools.javac.api.JavacTool not a subtype - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo